%define upstream_name    Git-DescribeVersion
%define upstream_version 1.015

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    Use git-describe to show a repo's version
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Git/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(Exporter)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Getopt::Long)
BuildRequires: perl(List::Util)
BuildRequires: perl(Test::MockObject) >= 1.90.0
BuildRequires: perl(Test::MockObject::Extends) >= 1.90.0
BuildRequires: perl(Test::More) >= 0.960.0
BuildRequires: perl(strict)
BuildRequires: perl(version) >= 0.820.0
BuildRequires: perl(warnings)
BuildRequires: git >= 1.5.5
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
perl -I. Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README examples
%{_bindir}/*
%{_mandir}/man1/*
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Wed Feb 12 2020 umeabot <umeabot> 1.15.0-11.mga8
+ Revision: 1504586
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.15.0-10.mga7
+ Revision: 1283937
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.15.0-9.mga7
+ Revision: 1164547
- rebuild with fixed rpm for missing autodeps

* Mon Sep 25 2017 tv <tv> 1.15.0-8.mga7
+ Revision: 1159195
- fix build with perl-5.26

* Sun Jun 19 2016 pterjan <pterjan> 1.15.0-7.mga6
+ Revision: 1027936
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 1.15.0-6.mga6
+ Revision: 930003
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.15.0-5.mga5
+ Revision: 747094
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.15.0-4.mga5
+ Revision: 684869
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1.15.0-3.mga4
+ Revision: 511949
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.15.0-2.mga3
+ Revision: 367748
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Aug 31 2012 kharec <kharec> 1.15.0-1.mga3
+ Revision: 286187
- add a br on git
- update to 1.015

* Tue Nov 08 2011 jquelin <jquelin> 1.14.0-1.mga2
+ Revision: 165444
- remove MYMETA from %%doc
- update to 1.014

* Thu Nov 03 2011 jquelin <jquelin> 1.13.0-1.mga2
+ Revision: 162213
- update to 1.013
- update to 1.003

* Mon Mar 14 2011 jquelin <jquelin> 1.1.11-1.mga1
+ Revision: 71151
- imported package perl-Git-DescribeVersion


* Mon Mar 14 2011 cpan2dist 1.001011-1mga
- initial mageia release, generated with cpan2dist
